
Website Input - Task #1924

Make cert request (APPCERT)

07/10/2017 11:04 PM - Luke Murphey

Status: Closed Start date: 07/06/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.3.0   

Description

Cloud Vet app #1818 (Website Input) Version 4.3

The app Website Input has been updated in version 4.3 to pass cloud certification (https://splunkbase.splunk.com/app/1818/).

The following changes were based on input from APPCERT-2467:

Passwords use secure storage (both the proxy password entered on the setup page as well as passwords entered on the

modular input page)

The app will not allow connections to HTTP sites if on Cloud (only HTTPS sites are allowed on Cloud)

The UI will block saving of inputs with HTTP sites and the input will skip HTTP based inputs (so that configuring a site via a

conf file directly will not circumvent UI controls)

Dependencies were updated. See list here: https://lukemurphey.net/projects/splunk-web-input/wiki/Dependencies

Related issues:

Copied from Website Monitoring - Task #1916: Make cert request (APPCERT) Closed 07/06/2017

History

#1 - 07/10/2017 11:04 PM - Luke Murphey

- Copied from Task #1916: Make cert request (APPCERT) added

#2 - 07/14/2017 07:21 PM - Luke Murphey

- Status changed from Closed to New

- % Done changed from 100 to 0

#3 - 07/21/2017 06:11 AM - Luke Murphey

- Description updated

#4 - 07/21/2017 06:12 AM - Luke Murphey

Request made in APPCERT-4518

#5 - 07/21/2017 06:24 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
